import { ClientSideBaseVisitor } from 'graphql-codegen-visitor-plugin-common';
import { FragmentDefinitionNode, OperationDefinitionNode } from 'graphql';
export declare class ApolloAngularVisitor extends ClientSideBaseVisitor {
    private _allOperations;
    constructor(fragments: FragmentDefinitionNode[], _allOperations: OperationDefinitionNode[], rawConfig: any);
    getImports(): string;
    private _extractNgModule;
    private _operationHasDirective;
    private _removeDirective;
    private _removeDirectives;
    private _extractDirective;
    protected _prepareDocument(documentStr: string): string;
    private _namedClient;
    private _extractNamedClient;
    private _providedIn;
    protected buildOperation(node: OperationDefinitionNode, documentVariableName: string, operationType: string, operationResultType: string, operationVariablesTypes: string): string;
}
